Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.validation.model
Interface VTValidationPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTValidationPackageImpl

    public interface VTValidationPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `VTValidationFactory`

Nested Class Summary
`static interface` | `VTValidationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VTValidationPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `VALIDATION_STYLE_PROPERTY` The meta object id for the ' `Style Property`' class.
`static int` | `VALIDATION_STYLE_PROPERTY__CANCEL_COLOR_HEX` The feature id for the 'Cancel Color HEX' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__CANCEL_IMAGE_URL` The feature id for the 'Cancel Image URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__CANCEL_OVERLAY_URL` The feature id for the 'Cancel Overlay URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__ERROR_COLOR_HEX` The feature id for the 'Error Color HEX' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__ERROR_IMAGE_URL` The feature id for the 'Error Image URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__ERROR_OVERLAY_URL` The feature id for the 'Error Overlay URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__INFO_COLOR_HEX` The feature id for the 'Info Color HEX' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__INFO_IMAGE_URL` The feature id for the 'Info Image URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__INFO_OVERLAY_URL` The feature id for the 'Info Overlay URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__OK_COLOR_HEX` The feature id for the 'Ok Color HEX' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__OK_IMAGE_URL` The feature id for the 'Ok Image URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__OK_OVERLAY_URL` The feature id for the 'Ok Overlay URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__WARNING_COLOR_HEX` The feature id for the 'Warning Color HEX' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__WARNING_IMAGE_URL` The feature id for the 'Warning Image URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY__WARNING_OVERLAY_URL` The feature id for the 'Warning Overlay URL' attribute.
`static int` | `VALIDATION_STYLE_PROPERTY_FEATURE_COUNT` The number of structural features of the 'Style Property' class.
`static int` | `VALIDATION_STYLE_PROPERTY_OPERATION_COUNT` The number of operations of the 'Style Property' class.

Method Summary
`VTValidationFactory` | `getValidationFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_CancelColorHEX()` Returns the meta object for the attribute ' `Cancel Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_CancelImageURL()` Returns the meta object for the attribute ' `Cancel Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_CancelOverlayURL()` Returns the meta object for the attribute ' `Cancel Overlay URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_ErrorColorHEX()` Returns the meta object for the attribute ' `Error Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_ErrorImageURL()` Returns the meta object for the attribute ' `Error Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_ErrorOverlayURL()` Returns the meta object for the attribute ' `Error Overlay URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_InfoColorHEX()` Returns the meta object for the attribute ' `Info Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_InfoImageURL()` Returns the meta object for the attribute ' `Info Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_InfoOverlayURL()` Returns the meta object for the attribute ' `Info Overlay URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_OkColorHEX()` Returns the meta object for the attribute ' `Ok Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_OkImageURL()` Returns the meta object for the attribute ' `Ok Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_OkOverlayURL()` Returns the meta object for the attribute ' `Ok Overlay URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_WarningColorHEX()` Returns the meta object for the attribute ' `Warning Color HEX`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_WarningImageURL()` Returns the meta object for the attribute ' `Warning Image URL`'.
`org.eclipse.emf.ecore.EAttribute` | `getValidationStyleProperty_WarningOverlayURL()` Returns the meta object for the attribute ' `Warning Overlay URL`'.
`org.eclipse.emf.ecore.EClass` | `getValidationStyleProperty()` Returns the meta object for class ' `Style Property`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VTValidationPackage eINSTANCE

  The singleton instance of the package.

### VALIDATION_STYLE_PROPERTY

    static final int VALIDATION_STYLE_PROPERTY

  The meta object id for the ' `Style Property`' class.

  See Also:
    `VTValidationStylePropertyImpl`, `VTValidationPackageImpl.getValidationStyleProperty()`, Constant Field Values

### VALIDATION_STYLE_PROPERTY__OK_COLOR_HEX

    static final int VALIDATION_STYLE_PROPERTY__OK_COLOR_HEX

  The feature id for the 'Ok Color HEX' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__OK_IMAGE_URL

    static final int VALIDATION_STYLE_PROPERTY__OK_IMAGE_URL

  The feature id for the 'Ok Image URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__OK_OVERLAY_URL

    static final int VALIDATION_STYLE_PROPERTY__OK_OVERLAY_URL

  The feature id for the 'Ok Overlay URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__INFO_COLOR_HEX

    static final int VALIDATION_STYLE_PROPERTY__INFO_COLOR_HEX

  The feature id for the 'Info Color HEX' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__INFO_IMAGE_URL

    static final int VALIDATION_STYLE_PROPERTY__INFO_IMAGE_URL

  The feature id for the 'Info Image URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__INFO_OVERLAY_URL

    static final int VALIDATION_STYLE_PROPERTY__INFO_OVERLAY_URL

  The feature id for the 'Info Overlay URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__WARNING_COLOR_HEX

    static final int VALIDATION_STYLE_PROPERTY__WARNING_COLOR_HEX

  The feature id for the 'Warning Color HEX' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__WARNING_IMAGE_URL

    static final int VALIDATION_STYLE_PROPERTY__WARNING_IMAGE_URL

  The feature id for the 'Warning Image URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__WARNING_OVERLAY_URL

    static final int VALIDATION_STYLE_PROPERTY__WARNING_OVERLAY_URL

  The feature id for the 'Warning Overlay URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__ERROR_COLOR_HEX

    static final int VALIDATION_STYLE_PROPERTY__ERROR_COLOR_HEX

  The feature id for the 'Error Color HEX' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__ERROR_IMAGE_URL

    static final int VALIDATION_STYLE_PROPERTY__ERROR_IMAGE_URL

  The feature id for the 'Error Image URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__ERROR_OVERLAY_URL

    static final int VALIDATION_STYLE_PROPERTY__ERROR_OVERLAY_URL

  The feature id for the 'Error Overlay URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__CANCEL_COLOR_HEX

    static final int VALIDATION_STYLE_PROPERTY__CANCEL_COLOR_HEX

  The feature id for the 'Cancel Color HEX' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__CANCEL_IMAGE_URL

    static final int VALIDATION_STYLE_PROPERTY__CANCEL_IMAGE_URL

  The feature id for the 'Cancel Image URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY__CANCEL_OVERLAY_URL

    static final int VALIDATION_STYLE_PROPERTY__CANCEL_OVERLAY_URL

  The feature id for the 'Cancel Overlay URL' attribute.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY_FEATURE_COUNT

    static final int VALIDATION_STYLE_PROPERTY_FEATURE_COUNT

  The number of structural features of the 'Style Property' class.

  See Also:
    Constant Field Values

### VALIDATION_STYLE_PROPERTY_OPERATION_COUNT

    static final int VALIDATION_STYLE_PROPERTY_OPERATION_COUNT

  The number of operations of the 'Style Property' class.

  See Also:
    Constant Field Values

Method Detail

### getValidationStyleProperty

    org.eclipse.emf.ecore.EClass getValidationStyleProperty()

  Returns the meta object for class ' `Style Property`'.

  Returns:
    the meta object for class 'Style Property'.
  See Also:
    `VTValidationStyleProperty`

### getValidationStyleProperty_OkColorHEX

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_OkColorHEX()

  Returns the meta object for the attribute ' `Ok Color HEX`'.

  Returns:
    the meta object for the attribute 'Ok Color HEX'.
  See Also:
    `VTValidationStyleProperty.getOkColorHEX()`, `getValidationStyleProperty()`

### getValidationStyleProperty_OkImageURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_OkImageURL()

  Returns the meta object for the attribute ' `Ok Image URL`'.

  Returns:
    the meta object for the attribute 'Ok Image URL'.
  See Also:
    `VTValidationStyleProperty.getOkImageURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_OkOverlayURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_OkOverlayURL()

  Returns the meta object for the attribute ' `Ok Overlay URL`'.

  Returns:
    the meta object for the attribute 'Ok Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getOkOverlayURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_InfoColorHEX

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_InfoColorHEX()

  Returns the meta object for the attribute ' `Info Color HEX`'.

  Returns:
    the meta object for the attribute 'Info Color HEX'.
  See Also:
    `VTValidationStyleProperty.getInfoColorHEX()`, `getValidationStyleProperty()`

### getValidationStyleProperty_InfoImageURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_InfoImageURL()

  Returns the meta object for the attribute ' `Info Image URL`'.

  Returns:
    the meta object for the attribute 'Info Image URL'.
  See Also:
    `VTValidationStyleProperty.getInfoImageURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_InfoOverlayURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_InfoOverlayURL()

  Returns the meta object for the attribute ' `Info Overlay URL`'.

  Returns:
    the meta object for the attribute 'Info Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getInfoOverlayURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_WarningColorHEX

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_WarningColorHEX()

  Returns the meta object for the attribute ' `Warning Color HEX`'.

  Returns:
    the meta object for the attribute 'Warning Color HEX'.
  See Also:
    `VTValidationStyleProperty.getWarningColorHEX()`, `getValidationStyleProperty()`

### getValidationStyleProperty_WarningImageURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_WarningImageURL()

  Returns the meta object for the attribute ' `Warning Image URL`'.

  Returns:
    the meta object for the attribute 'Warning Image URL'.
  See Also:
    `VTValidationStyleProperty.getWarningImageURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_WarningOverlayURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_WarningOverlayURL()

  Returns the meta object for the attribute ' `Warning Overlay URL`'.

  Returns:
    the meta object for the attribute 'Warning Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getWarningOverlayURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_ErrorColorHEX

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_ErrorColorHEX()

  Returns the meta object for the attribute ' `Error Color HEX`'.

  Returns:
    the meta object for the attribute 'Error Color HEX'.
  See Also:
    `VTValidationStyleProperty.getErrorColorHEX()`, `getValidationStyleProperty()`

### getValidationStyleProperty_ErrorImageURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_ErrorImageURL()

  Returns the meta object for the attribute ' `Error Image URL`'.

  Returns:
    the meta object for the attribute 'Error Image URL'.
  See Also:
    `VTValidationStyleProperty.getErrorImageURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_ErrorOverlayURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_ErrorOverlayURL()

  Returns the meta object for the attribute ' `Error Overlay URL`'.

  Returns:
    the meta object for the attribute 'Error Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getErrorOverlayURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_CancelColorHEX

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_CancelColorHEX()

  Returns the meta object for the attribute ' `Cancel Color HEX`'.

  Returns:
    the meta object for the attribute 'Cancel Color HEX'.
  See Also:
    `VTValidationStyleProperty.getCancelColorHEX()`, `getValidationStyleProperty()`

### getValidationStyleProperty_CancelImageURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_CancelImageURL()

  Returns the meta object for the attribute ' `Cancel Image URL`'.

  Returns:
    the meta object for the attribute 'Cancel Image URL'.
  See Also:
    `VTValidationStyleProperty.getCancelImageURL()`, `getValidationStyleProperty()`

### getValidationStyleProperty_CancelOverlayURL

    org.eclipse.emf.ecore.EAttribute getValidationStyleProperty_CancelOverlayURL()

  Returns the meta object for the attribute ' `Cancel Overlay URL`'.

  Returns:
    the meta object for the attribute 'Cancel Overlay URL'.
  See Also:
    `VTValidationStyleProperty.getCancelOverlayURL()`, `getValidationStyleProperty()`

### getValidationFactory

    VTValidationFactory getValidationFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.